Mapflow Data API

The Mapflow Data API enables you to manage custom imagery, organize it into mosaics, and search satellite imagery from external providers. Use your imagery for AI-powered analysis with the Processing API.

Note

Postman Collection

Try our Postman Collection for interactive API testing.

Base URL

https://api.mapflow.ai/rest

Authentication

All API requests require an API token. Generate yours in profile settings.

curl -H "Authorization: Bearer YOUR_API_TOKEN" \
  https://api.mapflow.ai/rest/rasters/memory

See authorization guide for details.

Quick Start

Upload and process your imagery in 3 steps:

  1. Create a mosaic

    curl -X POST https://api.mapflow.ai/rest/rasters/mosaic \
      -H "Authorization: Bearer YOUR_TOKEN" \
      -H "Content-Type: application/json" \
      -d '{"name": "My Aerial Survey", "tags": ["survey-2024"]}'
    

    Response: {"id": "mosaic-uuid", ...}

  2. Upload images to mosaic

    curl -X POST https://api.mapflow.ai/rest/rasters/mosaic/{mosaic-uuid}/image \
      -H "Authorization: Bearer YOUR_TOKEN" \
      -H "Content-Type: multipart/form-data" \
      -F "file=@/path/to/orthophoto.tif"
    

    Response: {"id": "image-uuid", ...}

  3. Run processing with uploaded imagery

    curl -X POST https://api.mapflow.ai/rest/processings/v2 \
      -H "Authorization: Bearer YOUR_TOKEN" \
      -H "Content-Type: application/json" \
      -d '{
        "name": "Building Detection",
        "projectId": "project-uuid",
        "wdName": "🏠 Buildings",
        "geometry": {...},
        "params": {
          "sourceParams": {
            "myImagery": {"mosaicId": "mosaic-uuid"}
          }
        }
      }'
    

Next steps: Explore satellite imagery search, manage storage limits, or review the complete API reference.

For complete API reference documentation including all endpoints, parameters, and examples, see API Reference.